/* 
 * Copyright (C) 2006, Intel Corporation
 * 
 * This file is part of the Linux-ready Firmware Developer Kit
 *
 * This program file is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by the
 * Free Software Foundation;version 2.1 of the License.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program in a file named COPYING; if not, write to the 
 * Free Software Foundation, Inc., 
 * 51 Franklin Street, Fifth Floor, 
 * Boston, MA 02110-1301 USA
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

#include <glib.h>

#include "../biostest.h"

static void do_test(void)
{
	FILE *file;
	start_test("suspend", "Suspend/resume testing",
	"This test checks if suspend-to-ram works");

/*
	file = fopen("/sys/power/state", "w");
	if (!file) {
		report_result("suspend", FAIL, "S3 not supported", NULL, NULL);
		return;
	}
	fprintf(file, "mem");
	fclose(file);
*/
	system("/usr/sbin/pm-suspend");		

	finish_test("suspend");
}

void run_test(void)
{
	register_interactive_test("Suspend/Resume", do_test);
}
